package com.wteam.controller.order;

import cn.hutool.core.io.FileUtil;
import cn.hutool.extra.qrcode.QrCodeUtil;
import cn.hutool.extra.qrcode.QrConfig;
import com.wteam.framework.common.enums.ResultUtil;
import com.wteam.framework.common.vo.ResultMessage;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.util.Base64;

/**
 * @author doncic
 * @date 2023/9/26 20:56
 */
@Slf4j
@Tag(name = "二维码相关接口管理")
@RestController
@RequestMapping("/v1/qrcode")
public class QrCodeController {

    /**
     * 生成一个临时二维码
     *
     * @return
     * @throws IOException
     */
    @Operation(summary = "生成临时二维码")
    @PostMapping("/createQrCode")
    public ResultMessage createQrCode() {
        return null;
    }
}
